Issue 22107 - Excel export: relative file URLs converte to absolute
Summary: Excel export: relative file URLs converte to absolute
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: code (show other issues)
Version: OOo 1.1
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: oc
QA Contact: issues@sc
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-04 12:53 UTC by lcombe
Modified: 2013-08-07 15:15 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
hlink.xls : the Excel file with a link to dummy.xls (13.50 KB, application/octet-stream)
2003-11-04 12:55 UTC, lcombe
no flags Details
a dummy file (target of the link) (13.50 KB, application/octet-stream)
2003-11-04 12:56 UTC, lcombe
no flags Details
the same as file hlink.xls but saved with OOo_Calc in Excel format (7.50 KB, application/octet-stream)
2003-11-04 12:58 UTC, lcombe
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description lcombe 2003-11-04 12:53:12 UTC
My environnement :
PC with W2000_fr
Excel 97_fr
OOo 1.1_fr

1) I create an Excel file (hlink.xls) with in A2 cell
a link to another file (dummy.xls)

2) I quit excel Excel and save this file (hlink.xls)

3) If i run Calc, i can open hlink.xls and the link
in the A2 cell is ok

4) Before quit Calc i save this file under the name
hlinkOOo.xls under the excel format
(i did not modify the A2 cell)

5) now i open hlinkOOo.xls file with Excel the link in A2
cell is broken (for excel)

Because of this issue my team is not able to work correctly
with OOo_Calc on a file accessed by Excel end users.
Comment 1 lcombe 2003-11-04 12:55:07 UTC
Created attachment 10944 [details]
hlink.xls : the Excel file with a link to dummy.xls
Comment 2 lcombe 2003-11-04 12:56:54 UTC
Created attachment 10945 [details]
a dummy file (target of the link)
Comment 3 lcombe 2003-11-04 12:58:43 UTC
Created attachment 10946 [details]
the same as file hlink.xls but saved with OOo_Calc in Excel format
Comment 4 frank 2003-11-04 13:55:30 UTC
Hi Daniel,

one for your construction site I think.

Frank
Comment 5 daniel.rentz 2003-11-05 12:11:44 UTC
fixed in SRC680/calc18
Comment 6 daniel.rentz 2003-11-05 13:13:26 UTC
.
Comment 7 daniel.rentz 2004-02-12 12:34:54 UTC
back to QA
Comment 8 oc 2004-02-26 12:12:28 UTC
reset resolution to fixed
Comment 9 oc 2004-02-26 12:13:00 UTC
verified in internal build cws_calc18
Comment 10 oc 2004-03-16 11:57:15 UTC
Fix  available in developer snapshot OOo680m38